Bug 826419 - [abrt] yum-3.4.3-23.fc17: sqlitesack.py:55:newFunc:RepoError: no such table: packages
[abrt] yum-3.4.3-23.fc17: sqlitesack.py:55:newFunc:RepoError: no such table: ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
abrt_hash:90c2ce4ae889e684e56bdba2857...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 03:22 EDT by Thanh Bui
Modified: 2014-01-21 18:22 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-18 21:22:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: bug.log (5.33 KB, text/plain)
2012-05-30 03:22 EDT, Thanh Bui
no flags Details

  None (edit)
Description Thanh Bui 2012-05-30 03:22:18 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python -t /usr/share/yum-cli/completion-helper.py -d 0 -C list all ''
executable:     /usr/share/yum-cli/completion-helper.py
kernel:         3.3.7-1.fc17.x86_64
reported_to:    file: bug.log
time:           Wed 30 May 2012 02:17:56 PM ICT
uid:            1000

bug.log:        Text file, 5458 bytes

backtrace:
:sqlitesack.py:55:newFunc:RepoError: no such table: packages
:
:Traceback (most recent call last):
:  File "/usr/share/yum-cli/completion-helper.py", line 81, in <module>
:    main(sys.argv[1:])
:  File "/usr/share/yum-cli/completion-helper.py", line 77, in main
:    base.doCommands()
:  File "/usr/share/yum-cli/cli.py", line 485, in doCommands
:    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
:  File "/usr/share/yum-cli/completion-helper.py", line 44, in doCommand
:    patterns=[get_pattern(extcmds)])
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 2595, in doPackageLists
:    avail = self.pkgSack.returnNewestByNameArch(patterns=patterns,
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1003, in <lambda>
:    pkgSack = property(fget=lambda self: self._getSacks(),
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 768, in _getSacks
:    if not self.repos.getPackageSack():
:  File "/usr/lib/python2.7/site-packages/yum/packageSack.py", line 378, in __len__
:    ret += len(sack)
:  File "/usr/lib/python2.7/site-packages/yum/sqlitesack.py", line 491, in __len__
:    pkg_num += self._sql_MD_pkg_num('primary', repo)
:  File "/usr/lib/python2.7/site-packages/yum/sqlitesack.py", line 459, in _sql_MD_pkg_num
:    return self._sql_MD('primary', repo, sql).fetchone()[0]
:  File "/usr/lib/python2.7/site-packages/yum/sqlitesack.py", line 55, in newFunc
:    raise Errors.RepoError, str(e)
:RepoError: no such table: packages
:
:Local variables in innermost frame:
:args: (<yum.sqlitesack.YumSqlitePackageSack object at 0x3c06450>, 'primary', <yum.yumRepo.YumRepository object at 0x2a0f690>, 'SELECT count(pkgId) FROM packages')
:e: OperationalError('no such table: packages',)
:func: <function _sql_MD at 0x1c88938>
:kwargs: {}

event_log:
:2012-05-30-14:18:34> Smolt profile successfully saved
:2012-05-30-14:22:05> The report was appended to bug.log

smolt_data:
:
:
:General
:=================================
:UUID: 96164fb1-2b28-4d9f-ae13-de69ffc7a6ff
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5319.63
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5 CPU       M 480  @ 2.67GHz
:CPU Stepping: 5
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2667
:System Memory: 3819
:System Swap: 1499
:Vendor: TOSHIBA
:System: Satellite L645 PSK0LL-04U00M
:Form factor: Notebook
:Kernel: 3.3.7-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:11362:4473:64976) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:4473:64976) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:4473:64976) pci, None, HOST/PCI, Core Processor DRAM Controller
:(32902:69:4473:64976) pci, pcieport, PCI/PCI, Core Processor PCI Express x16 Root Port
:(32902:11536:4473:64976) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:4473:64976) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(6505:8288:4473:64976) pci, atl1c, ETHERNET, AR8152 v1.1 Fast Ethernet
:(32902:11539:4473:64976) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:4473:64976) pci, None, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15145:4473:64976) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 4 port SATA AHCI Controller
:(32902:15113:4473:64976) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:4473:64976) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(32902:9288:4473:64976) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15164:4473:64976) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15156:4473:64976) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15204:4473:64976) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(5348:18215:5199:29045) pci, wl, NETWORK, BCM4313 802.11b/g/n Wireless LAN Controller
:(32902:15170:4473:64976) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15178:4473:64976) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 5
:(32902:15190:4473:64976) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(4098:43616:4473:64976) pci, snd_hda_intel, MULTIMEDIA, Redwood HDMI Audio [Radeon HD 5600 Series]
:(4098:26817:4473:64976) pci, radeon, VIDEO, Madison [AMD Radeon HD 5000M Series]
:(32902:15180:4473:64976) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 6
:(32902:11538:4473:64976) pci, None, HOST/PCI, Core Processor Reserved
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda4 / ext4 4096 4096 15342421 12691842 12538283 3842048 3676810 3676810
:
Comment 1 Thanh Bui 2012-05-30 03:22:24 EDT
Created attachment 587616 [details]
File: bug.log
Comment 2 Fedora Update System 2012-11-12 09:48:50 EST
yum-3.4.3-30.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/yum-3.4.3-30.fc17
Comment 3 Fedora Update System 2012-11-12 19:55:32 EST
Package yum-3.4.3-30.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing yum-3.4.3-30.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-18062/yum-3.4.3-30.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-11-18 21:23:01 EST
yum-3.4.3-30.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.